Groovy Documentation

## org.codehaus.groovy.runtime
[Java] Class RegexSupport

    java.lang.Object
      org.codehaus.groovy.runtime.RegexSupport

    public class RegexSupport
    extends java.lang.Object

Used to store the last regex match.

Method Summary
`static java.util.regex.Matcher` | `getLastMatcher()`
`static void` | `setLastMatcher(java.util.regex.Matcher matcher)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getLastMatcher

    public static java.util.regex.Matcher getLastMatcher()

### setLastMatcher

    public static void setLastMatcher(java.util.regex.Matcher matcher)

Groovy Documentation